Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP POST

POST tags

Ostatnia modyfikacja 2026-05-18 13:56:05
Dodaje nowe tagi, duplikaty zostaną automatycznie pominięte.

URL

https://your-system-name.thulium.com/api/tags

Parametry

tags

wymagany

Lista tagów do dodania. Przykładowa wartość: ["new", "vip"]

Przykładowy request

POST https://your-system-name.thulium.com/api/sms_messages
Dane {"tags":["new","vip"]}

Przykładowy response

{
    "status": "success",
}

Przykładowe wywołanie


PHP
<?php
$data = '{"tags":["new","vip"]}';

$request = curl_init('https://your-system-name.thulium.com/api/sms_messages');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/sms_messages", "{\"tags\":[\"new\",\"vip\"]}");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '{"tags":["new","vip"]}' "https://your-system-name.thulium.com/api/sms_messages"

HTTPie
echo '{"tags":["new","vip"]}' | http -a api_user:api_pass POST https://your-system-name.thulium.com/api/sms_messages